## net.i2p.router.transport.udp
Class PeerTestState

    java.lang.Object
      net.i2p.router.transport.udp.PeerTestState

class PeerTestState
extends java.lang.Object

Field Summary
`static short` `ALICE`
`static short` `BOB`
`static short` `CHARLIE`

Constructor Summary
`(package private)` `PeerTestState()`

Method Summary
`SessionKey` `getAliceIntroKey()`
`java.net.InetAddress` `getAliceIP()` If we are Alice, this will contain the IP that Bob says we can be reached at - the IP Charlie says we can be reached at is _aliceIPFromCharlie
`java.net.InetAddress` `getAliceIPFromCharlie()`
`int` `getAlicePort()` If we are Alice, this will contain the port that Bob says we can be reached at - the port Charlie says we can be reached at is _alicePortFromCharlie
`int` `getAlicePortFromCharlie()`
`long` `getBeginTime()` when did this test begin?
`SessionKey` `getBobCipherKey()`
`java.net.InetAddress` `getBobIP()`
`SessionKey` `getBobMACKey()`
`int` `getBobPort()`
`SessionKey` `getCharlieIntroKey()`
`java.net.InetAddress` `getCharlieIP()`
`int` `getCharliePort()`
`long` `getLastSendTime()` when did we last send out a packet?
`long` `getNonce()`
`short` `getOurRole()` Are we Alice, bob, or Charlie.
`int` `getPacketsRelayed()`
`long` `getReceiveAliceTime()` when did we last hear from alice?
`long` `getReceiveBobTime()` when did we last hear from bob?
`long` `getReceiveCharlieTime()` when did we last hear from charlie?
`void` `incrementPacketsRelayed()`
`void` `setAliceIntroKey(SessionKey key)`
`void` `setAliceIP(java.net.InetAddress ip)`
`void` `setAliceIPFromCharlie(java.net.InetAddress ip)`
`void` `setAlicePort(int alicePort)`
`void` `setAlicePortFromCharlie(int alicePortFromCharlie)`
`void` `setBeginTime(long when)`
`void` `setBobCipherKey(SessionKey key)`
`void` `setBobIP(java.net.InetAddress ip)`
`void` `setBobMACKey(SessionKey key)`
`void` `setBobPort(int bobPort)`
`void` `setCharlieIntroKey(SessionKey key)`
`void` `setCharlieIP(java.net.InetAddress ip)`
`void` `setCharliePort(int charliePort)`
`void` `setLastSendTime(long when)`
`void` `setNonce(long nonce)`
`void` `setOurRole(short role)`
`void` `setReceiveAliceTime(long when)`
`void` `setReceiveBobTime(long when)`
`void` `setReceiveCharlieTime(long when)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALICE

    public static final short ALICE

See Also:
  Constant Field Values

### BOB

    public static final short BOB

See Also:
  Constant Field Values

### CHARLIE

    public static final short CHARLIE

See Also:
  Constant Field Values

Constructor Detail

### PeerTestState

    PeerTestState()

Method Detail

### getNonce

    public long getNonce()

### setNonce

    public void setNonce(long nonce)

### getOurRole

    public short getOurRole()

  Are we Alice, bob, or Charlie.

### setOurRole

    public void setOurRole(short role)

### getAliceIP

    public java.net.InetAddress getAliceIP()

  If we are Alice, this will contain the IP that Bob says we can be reached at - the IP Charlie says we can be reached at is _aliceIPFromCharlie

### setAliceIP

    public void setAliceIP(java.net.InetAddress ip)

### getBobIP

    public java.net.InetAddress getBobIP()

### setBobIP

    public void setBobIP(java.net.InetAddress ip)

### getCharlieIP

    public java.net.InetAddress getCharlieIP()

### setCharlieIP

    public void setCharlieIP(java.net.InetAddress ip)

### getAliceIPFromCharlie

    public java.net.InetAddress getAliceIPFromCharlie()

### setAliceIPFromCharlie

    public void setAliceIPFromCharlie(java.net.InetAddress ip)

### getAlicePort

    public int getAlicePort()

  If we are Alice, this will contain the port that Bob says we can be reached at - the port Charlie says we can be reached at is _alicePortFromCharlie

### setAlicePort

    public void setAlicePort(int alicePort)

### getBobPort

    public int getBobPort()

### setBobPort

    public void setBobPort(int bobPort)

### getCharliePort

    public int getCharliePort()

### setCharliePort

    public void setCharliePort(int charliePort)

### getAlicePortFromCharlie

    public int getAlicePortFromCharlie()

### setAlicePortFromCharlie

    public void setAlicePortFromCharlie(int alicePortFromCharlie)

### getAliceIntroKey

    public SessionKey getAliceIntroKey()

### setAliceIntroKey

    public void setAliceIntroKey(SessionKey key)

### getCharlieIntroKey

    public SessionKey getCharlieIntroKey()

### setCharlieIntroKey

    public void setCharlieIntroKey(SessionKey key)

### getBobCipherKey

    public SessionKey getBobCipherKey()

### setBobCipherKey

    public void setBobCipherKey(SessionKey key)

### getBobMACKey

    public SessionKey getBobMACKey()

### setBobMACKey

    public void setBobMACKey(SessionKey key)

### getBeginTime

    public long getBeginTime()

  when did this test begin?

### setBeginTime

    public void setBeginTime(long when)

### getLastSendTime

    public long getLastSendTime()

  when did we last send out a packet?

### setLastSendTime

    public void setLastSendTime(long when)

### getReceiveAliceTime

    public long getReceiveAliceTime()

  when did we last hear from alice?

### setReceiveAliceTime

    public void setReceiveAliceTime(long when)

### getReceiveBobTime

    public long getReceiveBobTime()

  when did we last hear from bob?

### setReceiveBobTime

    public void setReceiveBobTime(long when)

### getReceiveCharlieTime

    public long getReceiveCharlieTime()

  when did we last hear from charlie?

### setReceiveCharlieTime

    public void setReceiveCharlieTime(long when)

### getPacketsRelayed

    public int getPacketsRelayed()

### incrementPacketsRelayed

    public void incrementPacketsRelayed()

### toString

    public java.lang.String toString()